static int port_count = 1;
static int ports[256];

static void new_port(Tcl_Interp *ip, void *private){
	char tmp[128];
	sprintf(tmp, "input%d",port_count);
	ports[port_count++]=snd_seq_create_simple_port(seq_handle,tmp,
	     SND_SEQ_PORT_CAP_WRITE | SND_SEQ_PORT_CAP_SUBS_WRITE,
	     SND_SEQ_PORT_TYPE_MIDI_GENERIC |
	     SND_SEQ_PORT_TYPE_APPLICATION);
}

static void wait_events(Tcl_Interp *ip, void *private, char* exec){
	static snd_seq_event_t *ev;
	while (snd_seq_event_input(seq_handle, &ev) >=0){
		if (ev->type == SNDSEQ_EVENT_NOTEON || ev->type == SND_SEQ_EVENT_NOTEOFF){
			char tmp[128];
			sprintf(tmp, "%s %d %d %d %d %d",exec,ev->dest.port,
				ev->source.client,ev->source.port,
				ev->data.note.note,ev->data.note.velocity);
			Tcl_Eval(ip,tmp);
		}
}

